---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: wiki2
  labels:
    name: wiki2
    owner: agepoly
spec:
  replicas: 1
  selector:
    matchLabels:
      app: wiki2
      owner: agepoly
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 2
      maxUnavailable: 0
  template:
    metadata:
      labels:
        app: wiki2
        owner: agepoly
    spec:
      imagePullSecrets:
        - name: gitlab-kubernetes
        - name: gitlab-dckreg
      containers:
        - name: wiki2
          image: registry.gitlab.com/agepoly/it/infra/kubernetes/wiki2:665b6dd2
          ports:
            - containerPort: 3000
          env:
            - name: DB_USER
              valueFrom:
                secretKeyRef:
                  name: wiki2-env-secrets
                  key: DB_USER
            - name: DB_NAME
              valueFrom:
                secretKeyRef:
                  name: wiki2-env-secrets
                  key: DB_NAME
            - name: DB_PASS
              valueFrom:
                secretKeyRef:
                  name: wiki2-env-secrets
                  key: DB_PASS
            - name: DB_TYPE
              value: "postgres"
            - name: DB_HOST
              value: "databases"
            - name: DB_PORT
              value: "5432"
            - name: HA_ACTIVE
              value: "1"
            - name: HOST
              value: "wiki2.staging.agepoly.ch"
          livenessProbe:
            failureThreshold: 2
            httpGet:
              path: /
              port: 3000
              scheme: HTTP
              httpHeaders:
                - name: Host
                  value: wiki2.staging.agepoly.ch
            initialDelaySeconds: 300
            periodSeconds: 300
            timeoutSeconds: 10
          readinessProbe:
            failureThreshold: 1
            httpGet:
              path: /
              port: 3000
              scheme: HTTP
              httpHeaders:
                - name: Host
                  value: wiki2.staging.agepoly.ch
            initialDelaySeconds: 5
            periodSeconds: 150
            timeoutSeconds: 10
          startupProbe:
            failureThreshold: 30
            httpGet:
              path: /
              port: 3000
              scheme: HTTP
              httpHeaders:
                - name: Host
                  value: wiki2.staging.agepoly.ch
            initialDelaySeconds: 5
            periodSeconds: 10
            timeoutSeconds: 10

---
apiVersion: v1
kind: Service
metadata:
  name: wiki2
  labels:
    name: wiki2
    owner: agepoly
spec:
  ports:
    - port: 80
      targetPort: 3000
      protocol: TCP
      name: http
  selector:
      app: wiki2
      owner: agepoly
  type: ClusterIP

---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: wiki2-main-domain
  labels:
    name: wiki2
    owner: agepoly
spec:
  entryPoints:
    - websecure
  tls:
    secretName: staging.agepoly.ch-wildcard-ssl
  routes:
    - match: Host(`wiki2.staging.agepoly.ch`)
      kind: Rule
      services:
        - name: wiki2
          port: 80
          sticky:
            cookie:
              httpOnly: true
              name: lb
              secure: true
              sameSite: none
          strategy: RoundRobin

